OrderedMap
Date: 2017-03-29

com.thoughtworks.qdox.model.util

## Class OrderedMap

- java.lang.Object
- - java.util.AbstractMap
  - - com.thoughtworks.qdox.model.util.OrderedMap

- All Implemented Interfaces:
    java.util.Map

      public class OrderedMap
      extends java.util.AbstractMap

  This is a simple Map implementation backed by a List of Map.Entry objects. It has the property that iterators return entries in the order in whick they were inserted. Operations involving searching, including get() and put(), have cost linear to the size of the map. In other words, avoid this implementation if your Map might get large. If we could assume Java 1.4+, we'd just use java.util.LinkedHashMap instead of this class. But we can't.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `java.util.AbstractMap.SimpleEntry<K,V>, java.util.AbstractMap.SimpleImmutableEntry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OrderedMap()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Set` | `entrySet()`
    `java.lang.Object` | `put(java.lang.Object key, java.lang.Object value)`

    - ### Methods inherited from class java.util.AbstractMap

      `clear, clone, containsKey, containsValue, equals, get, hashCode, isEmpty, keySet, putAll, remove, size, toString, values`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OrderedMap

          public OrderedMap()

  - ### Method Detail

    - #### entrySet

          public java.util.Set entrySet()

      Specified by:
        `entrySet` in interface `java.util.Map`
      Specified by:
        `entrySet` in class `java.util.AbstractMap`

    - #### put

          public java.lang.Object put(java.lang.Object key,
                             java.lang.Object value)

      Specified by:
        `put` in interface `java.util.Map`
      Overrides:
        `put` in class `java.util.AbstractMap`